/*
 * core1_main.c
 *
 *  Created on: Jul 1, 2016
 *      Author: Glas
 */

#include "mc.h"

static volatile unsigned ms = 0;
static volatile unsigned toggle = 0;

IFX_INTERRUPT(CountMilliseconds, 1, GPT12_T6_PRIORITY)
{
  if (ms++>1000)
  {
    ms = 0; __putbit(1,&toggle,0);
  }
}

void core1_main(void)
{
    gpio_init_pins();

    IfxGpt12_enableModule(&MODULE_GPT120);
    IfxGpt12_setGpt2BlockPrescaler(&MODULE_GPT120, IfxGpt12_Gpt2BlockPrescaler_2);
    IfxGpt12_T6_setTimerPrescaler(&MODULE_GPT120, IfxGpt12_TimerInputPrescaler_1);

    IfxGpt12_T6_setMode(&MODULE_GPT120,IfxGpt12_Mode_timer);
    IfxGpt12_T6_setTimerDirection(&MODULE_GPT120,IfxGpt12_TimerDirection_up);
    IfxGpt12_T6_run(&MODULE_GPT120,IfxGpt12_TimerRemoteControl_on);

    IfxSrc_init(&MODULE_SRC.GPT12.GPT12[0].T6, IfxSrc_Tos_cpu1, GPT12_T6_PRIORITY);
    IfxSrc_enable(&MODULE_SRC.GPT12.GPT12[0].T6);
    IfxCpu_enableInterrupts();

    while (1)
    {
      if (__getbit(&toggle,0))
      {
        IfxPort_togglePin(&MODULE_P13,0);
        __putbit(0,&toggle,0);
      }
    }
}
